from fastapi import APIRouter

# Import individual routers here
from app.api.v1.endpoints import users, auth, songs, albums, artists, playlists, streaming, upload, recommendations

api_router = APIRouter()

# Include all routers
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(auth.router, prefix="/auth", tags=["auth"])
api_router.include_router(songs.router, prefix="/songs", tags=["songs"])
api_router.include_router(albums.router, prefix="/albums", tags=["albums"])
api_router.include_router(artists.router, prefix="/artists", tags=["artists"])
api_router.include_router(playlists.router, prefix="/playlists", tags=["playlists"])
api_router.include_router(streaming.router, prefix="/stream", tags=["streaming"])
api_router.include_router(upload.router, prefix="/upload", tags=["upload"])
api_router.include_router(recommendations.router, prefix="/recommendations", tags=["recommendations"])